## distro-info-data 0.64devuan2

=== debian/changelog ===
distro-info-data (0.64devuan2) unstable; urgency=medium

  * Add Beowulf EOL.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 17 Jun 2025 17:55:15 +0100

distro-info-data (0.64devuan1) unstable; urgency=medium

  * Merge tag debian/0.64.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 15 Apr 2025 08:18:20 +0100

distro-info-data (0.63devuan1) unstable; urgency=medium

  * Merge tag debian/0.63.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 17 Oct 2024 17:54:20 +0100

distro-info-data (0.62devuan1) unstable; urgency=medium

  * Merge tag debian/0.62.
  * Revert unnecessary whitespace delta WRT Debian.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 30 Apr 2024 15:54:10 +0100

distro-info-data (0.61devuan1) unstable; urgency=medium

  * Merge tag debian/0.61.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 30 Apr 2024 07:13:01 +0100

distro-info-data (0.60devuan1) unstable; urgency=medium

  * Merge tag debian/0.60.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 27 Nov 2023 15:29:29 +0000

distro-info-data (0.59devuan1) unstable; urgency=medium

  * Merge tag debian/0.59.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 27 Oct 2023 19:57:25 +0100

distro-info-data (0.58devuan2) unstable; urgency=medium

  * Add daedalus release date.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 14 Aug 2023 20:36:09 +0100

## distro-info-data 0.65

=== debian/changelog ===
distro-info-data (0.65) unstable; urgency=medium

  [ Stefano Rivera ]
  * Add release and estimated EoL dates for Debian 13 "Trixie".

  [ Benjamin Drung ]
  * Add Ubuntu end of Legacy Support dates (new eol-legacy column).

 -- Stefano Rivera <stefanor@debian.org>  Sun, 20 Jul 2025 20:34:19 +0200

## distro-info-data 0.66

=== debian/changelog ===
distro-info-data (0.66) unstable; urgency=medium

  * Correct estimation for trixie ELTS EoL to 10 years total support.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 20 Jul 2025 23:50:29 +0200

## distro-info-data 0.66devuan1

=== debian/changelog ===
distro-info-data (0.66devuan1) unstable; urgency=medium

  * Merge tag debian/0.66.
  * Add Devuan 7 (freia).

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 26 Jul 2025 09:58:15 +0100

## distro-info-data 0.66ubuntu0.1

=== debian/changelog ===
distro-info-data (0.66ubuntu0.1) questing; urgency=medium

  * Update the bookworm EoL
  * Add Ubuntu 26.04 LTS "Resolute Raccoon" (LP: #2126961)

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Fri, 10 Oct 2025 10:43:53 +0100

=== debian/control ===
Source: distro-info-data
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper-compat (= 13), python3 <!nocheck>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
Rules-Requires-Root: no

Package: distro-info-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: distro-info (<< 1.0~)
Description: information about the distributions' releases (data files)
 Information about all releases of Debian and Ubuntu. The distro-info script
 will give you the codename for e.g. the latest stable release of your
 distribution. To get information about a specific distribution there are the
 debian-distro-info and the ubuntu-distro-info scripts.
 .
 This package contains the data files.

## distro-info-data 0.66%2Bdeb13u1devuan1

=== Makefile ===
PREFIX ?= /usr
PYTHON_SOURCES=lib up-to-date validate-csv-data

build:

install:
	install -d $(DESTDIR)$(PREFIX)/share/distro-info
	install -m 644 $(wildcard *.csv) $(DESTDIR)$(PREFIX)/share/distro-info

test:
	./validate-csv-data -d debian.csv
	./validate-csv-data -u ubuntu.csv
	./validate-csv-data -v devuan.csv

up-to-date:
	./up-to-date -d debian.csv
	./up-to-date -u ubuntu.csv
	./up-to-date -v devuan.csv

black:
	black -C $(PYTHON_SOURCES)

pylint:
	pylint $(PYTHON_SOURCES)

.PHONY: black build install pylint test up-to-date

=== debian/changelog ===
distro-info-data (0.66+deb13u1devuan1) excalibur-proposed-updates; urgency=medium

  * Merge tag debian/0.66+deb13u1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 21 Oct 2025 09:02:06 +0100

distro-info-data (0.66+deb13u1) trixie; urgency=medium

  * Update database to 0.68:
    - Update the bookworm EoL
    - Add Ubuntu 26.04 LTS "Resolute Raccoon" (LP: #2126961)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 18 Oct 2025 16:43:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
-Uploaders: Stefano Rivera <stefanor@debian.org>
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>
 Build-Depends: debhelper-compat (= 13), python3 <!nocheck>
 Standards-Version: 4.7.2
-Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
-Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
+Vcs-Git: https://git.devuan.org/devuan/distro-info-data.git
+Vcs-Browser: https://git.devuan.org/devuan/distro-info-data
+Origin: Devuan
 Rules-Requires-Root: no
 
 Package: distro-info-data

## distro-info-data 0.66+deb13u1devuan2

=== debian/changelog ===
distro-info-data (0.66+deb13u1devuan2) excalibur-proposed-updates; urgency=medium

  * Synchronise EOL dates with Debian releases.
  * Release excalibur with EOL=trixie LTS.
  * Add future Devuan 8 codename gryphon.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 02 Nov 2025 13:44:41 +0000

## distro-info-data 0.67~ubuntu1

=== debian/changelog ===
distro-info-data (0.67~ubuntu1) resolute; urgency=medium

  * Manual early sync to resolute for archive opening.

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Fri, 10 Oct 2025 09:57:41 +0100

distro-info-data (0.67) unstable; urgency=medium

  [ Stefano Rivera ]
  * Update the bookworm EoL

  [ Benjamin Drung ]
  * Add Ubuntu 26.04 LTS "Resolute Raccoon" (LP: #2126961)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 08 Oct 2025 23:49:34 +0200

## distro-info-data 0.67

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>
+Maintainer: Benjamin Drung <bdrung@debian.org>
+Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 13), python3 <!nocheck>
 Standards-Version: 4.7.2
-Vcs-Git: https://git.devuan.org/devuan/distro-info-data.git
-Vcs-Browser: https://git.devuan.org/devuan/distro-info-data
-Origin: Devuan
+Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
+Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
 Rules-Requires-Root: no
 
 Package: distro-info-data

## distro-info-data 0.67devuan1

=== debian/changelog ===
distro-info-data (0.67devuan1) unstable; urgency=medium

  * Merge tag debian/0.67.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 09 Oct 2025 20:06:25 +0100

## distro-info-data 0.68

=== Makefile ===
PREFIX ?= /usr
PYTHON_SOURCES=lib up-to-date validate-csv-data

build:

install:
	install -d $(DESTDIR)$(PREFIX)/share/distro-info
	install -m 644 $(wildcard *.csv) $(DESTDIR)$(PREFIX)/share/distro-info

test:
	./validate-csv-data debian.csv
	./validate-csv-data devuan.csv
	./validate-csv-data elxr.csv
	./validate-csv-data ubuntu.csv

up-to-date:
	./up-to-date debian.csv
	./up-to-date devuan.csv
	./up-to-date elxr.csv
	./up-to-date ubuntu.csv

black:
	black -C $(PYTHON_SOURCES)

pylint:
	pylint $(PYTHON_SOURCES)

.PHONY: black build install pylint test up-to-date

=== debian/changelog ===
distro-info-data (0.68) unstable; urgency=medium

  [ Rong Fu ]
  * dch Add eLxr csv file.

  [ Mark Hindley ]
  * Devuan data

  [ Stefano Rivera ]
  * Drop Rules-Requires-Root: no, as it is now the default.
  * Tidy the addition of eLxr a bit
  * Simplify distro selection in validators
  * Move forward the bookworm EoL (hand-off to LTS), again.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 18 Oct 2025 16:22:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
-Rules-Requires-Root: no
 
 Package: distro-info-data
 Architecture: all

## distro-info-data 0.68build1

=== debian/changelog ===
distro-info-data (0.68build1) resolute; urgency=medium

  * Rebuild to clear amd64v3 from FTBFS report

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Dec 2025 07:39:48 -0500

## distro-info-data 0.68devuan1

=== debian/changelog ===
distro-info-data (0.68devuan1) unstable; urgency=medium

  * Merge tag debian/0.68.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 19 Oct 2025 10:53:57 +0100

## distro-info-data 0.68devuan2

=== debian/changelog ===
distro-info-data (0.68devuan2) unstable; urgency=medium

  * Release excalibur with EOL=trixie LTS.
  * Add future Devuan 8 codename gryphon.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 02 Nov 2025 12:42:06 +0000
